﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication13
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            RadChart1.DefaultSeriesDefinition = new LineSeriesDefinition();
            BindChart();
        }

        private void BindChart()
        {
            RadChart1.ItemsSource = new double[] { 13, 4, 52, 3, 34, 4 };
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            RadChart1.DefaultView.ChartArea.AxisY.IsLogarithmic = !RadChart1.DefaultView.ChartArea.AxisY.IsLogarithmic;
            BindChart();
        }
    }
}
